EDIT - feature request #4257

specimen map should zoom to area of distribution
06/16/2014 12:42 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal

Description

specimen map should zoom to the area of the distribution or at least to the bbox which encloses the given occurrence points.

OLD Requirement:

for the latter solution #1506 (bbox in point.php should be optional) needs to be fixed first. This is no longer required since the
rest_gen.php script can be used:

http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?l=earth&od=1:38.326,-0.822138.328,-0.54
2138.062,-0.893112:38.062,-0.893138.012,-1.883113:40.78,-4.009143.461,-5.412(38.062,-0.893&0s=1:c/
£78755/10/0Onthophagus semipunctatus|2:s/64cb48/10/Euoniticellus pallipes|3:sq/cbdedf/10/Onthophagu
s joannae&ms=700&recalculate=true&legend=1

UPDATE Now that we are using the KML web service zooming to the bbox which encloses the given occurrence points it is fairly
straight forward to implement, see #8972

For point layers from the edit map service this is working already, so the original requirement no longer accounts

Related issues:
Related to EDIT - feature request #6113: webservice to expose FieldUnits rela... Closed
Related to EDIT - feature request #8972: integrate kml layers into map viewer Closed

Associated revisions

Revision 64f6df71 - 04/29/2020 03:23 PM - Andreas Kohlbecker
ref #4257, ref #8972 zooming map to kml layer feature bounds

Revision 1081865 - 04/29/2020 03:53 PM - Andreas Kohlbecker

ref #4257, ref #8972 setting zoomToClosestLevel = false to prevent from hidden features in KML layers

History

#1 - 09/10/2014 10:43 AM - Andreas Kohlbecker

- Keywords set to map

#2 - 06/08/2015 03:04 PM - Andreas Kohlbecker
- Status changed from New to In Progress
- Target version changed from cdm_dataportal - Next Major Release to DataPortal - Reviewed Next Major Release

- Priority changed from Priority08 to Priority13

#3 - 02/19/2019 03:34 PM - Andreas Miiller
- Priority changed from Priority13 to Priority10

#4 - 02/19/2019 05:26 PM - Andreas Kohlbecker

- Related to feature request #6113: webservice to expose FieldUnits related to a Taxon or TaxonName as KML and/or GML added
#5 - 02/19/2019 05:26 PM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#6 - 04/29/2020 03:19 PM - Andreas Kohlbecker
- Description updated
- Priority changed from Priority10 to Highest

- Target version changed from Reviewed Next Major Release to Release 5.18

#7 - 04/29/2020 03:22 PM - Andreas Kohlbecker

- Description updated

#8 - 04/29/2020 03:22 PM - Andreas Kohlbecker

- Related to feature request #8972: integrate kml layers into map viewer added

#9 - 04/29/2020 03:25 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed
- Target version changed from Release 5.18 to Release 5.15

- % Done changed from 0 to 100

#10 - 04/29/2020 03:25 PM - Andreas Kohlbecker

- Description updated
